#include<stdio.h>
#include<conio.h>
#include<math.h>

int main()
{
	clrscr();
	int N,K,R;
	printf("Enter a Number: ");
	scanf("%d",&N);
	
	
	for(K=2;K<=sqrt(N);K++)
	{
		
		R=N%K;
		if(R==0)
		{
			printf("The Number is not Prime\n");
			break;
		}
	}
	 
	if(R!=0)
		printf("The Number is Prime\n");
	getch();
}